Speko Docs
API Reference

List agents

Returns every agent belonging to the authenticated organization. Agents are scoped per-org — IDs from another org will never appear here.

GET
/v1/agents

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Response Body

application/json

application/json

[
  {
    "id": "agent_01HW...",
    "organizationId": "string",
    "name": "string",
    "systemPrompt": "string",
    "voice": "string",
    "intent": {
      "language": "en-US",
      "optimizeFor": "latency"
    },
    "llmOptions": {
      "temperature": 0,
      "maxTokens": 1,
      "model": "string"
    },
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z",
    "stackPreferences": {
      "allowedProviders": {
        "stt": [
          "deepgram"
        ],
        "llm": [
          "openai"
        ],
        "tts": [
          "elevenlabs"
        ],
        "s2s": [
          "openai:gpt-realtime-2.1"
        ]
      }
    },
    "turnHandling": {
      "profile": "conversational",
      "endpointing": {
        "minDelay": 0,
        "maxDelay": 0
      },
      "interruption": {
        "mode": "adaptive",
        "minDuration": 0,
        "minWords": 0
      },
      "turnDetection": true,
      "contextThreshold": true,
      "dtmfToolDescription": "string",
      "amdPrompt": "string",
      "waitForCallee": true,
      "onMachine": "hangup",
      "voicemailMessage": "string"
    }
  }
]
{
  "error": "Unauthorized",
  "code": "UNAUTHORIZED"
}